ColumnValuesSourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class ColumnValuesSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.ColumnValuesSourceImpl

All Implemented Interfaces:
  ColumnSource, RelationalValueSource

Direct Known Subclasses:
  ColumnSourceImpl

    public class ColumnValuesSourceImpl

extends Object
implements ColumnSource

Constructor Summary
`ColumnValuesSourceImpl(ColumnValues columnValues)`

Method Summary
`String` | `getCheckCondition()` Obtain the specified check constraint condition
`String` | `getComment()` Obtain the specified SQL comment
`String` | `getContainingTableName()`
`Datatype` | `getDatatype()` The deduced (and dialect convertible) type for this column
`String` | `getDefaultValue()` Obtain a specified default value for the column
`String` | `getName()` Obtain the name of the column.
`String` | `getReadFragment()` A SQL fragment to apply to the column value on read.
`Size` | `getSize()` Obtain the specified column size.
`String` | `getSqlType()` Obtain the free-hand definition of the column's type.
`String` | `getWriteFragment()` A SQL fragment to apply to the column value on write.
`boolean` | `isIncludedInInsert()`
`boolean` | `isIncludedInUpdate()`
`boolean` | `isNullable()` Is this column nullable?
`boolean` | `isUnique()` Is this column unique?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnValuesSourceImpl

    public ColumnValuesSourceImpl(ColumnValues columnValues)

Method Detail

### getName

    public String getName()

  Description copied from interface: `ColumnSource`
  Obtain the name of the column.

  Specified by:
    `getName` in interface `ColumnSource`
  Returns:
    The name of the column. Can be `null`, in which case a naming strategy is applied.

### isNullable

    public boolean isNullable()

  Description copied from interface: `ColumnSource`
  Is this column nullable?

  Specified by:
    `isNullable` in interface `ColumnSource`
  Returns:
    `true` indicates it is nullable; `false` non-nullable.

### getDefaultValue

    public String getDefaultValue()

  Description copied from interface: `ColumnSource`
  Obtain a specified default value for the column

  Specified by:
    `getDefaultValue` in interface `ColumnSource`
  Returns:
    THe column default

### getSqlType

    public String getSqlType()

  Description copied from interface: `ColumnSource`
  Obtain the free-hand definition of the column's type.

  Specified by:
    `getSqlType` in interface `ColumnSource`
  Returns:
    The free-hand column type

### getDatatype

    public Datatype getDatatype()

  Description copied from interface: `ColumnSource`
  The deduced (and dialect convertible) type for this column

  Specified by:
    `getDatatype` in interface `ColumnSource`
  Returns:
    The column's SQL data type.

### getSize

    public Size getSize()

  Description copied from interface: `ColumnSource`
  Obtain the specified column size.

  Specified by:
    `getSize` in interface `ColumnSource`
  Returns:
    The column size.

### isUnique

    public boolean isUnique()

  Description copied from interface: `ColumnSource`
  Is this column unique?

  Specified by:
    `isUnique` in interface `ColumnSource`
  Returns:
    `true` indicates it is unique; `false` non-unique.

### getComment

    public String getComment()

  Description copied from interface: `ColumnSource`
  Obtain the specified SQL comment

  Specified by:
    `getComment` in interface `ColumnSource`
  Returns:
    SQL comment

### isIncludedInInsert

    public boolean isIncludedInInsert()

  Specified by:
    `isIncludedInInsert` in interface `ColumnSource`

### isIncludedInUpdate

    public boolean isIncludedInUpdate()

  Specified by:
    `isIncludedInUpdate` in interface `ColumnSource`

### getContainingTableName

    public String getContainingTableName()

  Specified by:
    `getContainingTableName` in interface `RelationalValueSource`
  Returns:
    returns the name of the table that contains this value.

### getReadFragment

    public String getReadFragment()

  Description copied from interface: `ColumnSource`
  A SQL fragment to apply to the column value on read.

  Specified by:
    `getReadFragment` in interface `ColumnSource`
  Returns:
    The SQL read fragment

### getWriteFragment

    public String getWriteFragment()

  Description copied from interface: `ColumnSource`
  A SQL fragment to apply to the column value on write.

  Specified by:
    `getWriteFragment` in interface `ColumnSource`
  Returns:
    The SQL write fragment

### getCheckCondition

    public String getCheckCondition()

  Description copied from interface: `ColumnSource`
  Obtain the specified check constraint condition

  Specified by:
    `getCheckCondition` in interface `ColumnSource`
  Returns:
    Check constraint condition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.